Subject: Re: 17328242 ;Power seller; Toronto Maple Leafs vs Montreal Canadiens ; 03/10/2018; update travel address
From: Ashwinee Latchayya <[email-masked]>
To: Shilpa Ranga <[email-masked]>
Date: Fri, 28 Sep 2018 15:28:47 +0530 (IST)

Call me when the case opens. I'll help you out with it 

From: "Shilpa Ranga" <[email-masked]> 
To: "Ashwinee Latchayya" <[email-masked]> 
Sent: Thursday, 27 September, 2018 20:09:01 
Subject: 17328242 ;Power seller; Toronto Maple Leafs vs Montreal Canadiens ; 03/10/2018; update travel address 

Hello ashwinee, 

I am not able to update the travel address, please update it. I have attached the screen shot of the same. This is the address. 

Address: 477 Richmond Street West 502, Toronto, Ontario M5V 3E7, Kanada 

As I also can't update the delivery address too. Please confirm the buyer about his delivery address as he is a power seller. 

Thank you 
Shilpa